LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XStringEscape Interface Referencepublished

This interface is used to encode an arbitrary String into a escaped form. More...

`import"XStringEscape.idl";`

Inheritance diagram for XStringEscape:

## Public Member Functions
string | escapeString ([in] string aString) raises ( com::sun::star::lang::IllegalArgumentException)
| encodes an arbitrary string into an escaped form compatible with some naming rules. More...
string | unescapeString ([in] string aEscapedString) raises ( com::sun::star::lang::IllegalArgumentException)
| decodes an escaped string into the original form. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface is used to encode an arbitrary String into a escaped form.

The escaped form is chosen to be suitable for use with other interfaces of the object or service providing this interface.

Any characters or character sequences that are not compatible with any naming rules or restrictions must be replaced by an escaped form, that complies to these rules.

The transformation should preserve all traits of the string that are generally respected by the service. For example, the case of a string may be lost after encoding and then decoding, if the service generally is case insensitive.

Other than that the encoding is one-to-one and can be reversed. The encoding should try to preserve as much as possible of the original string, to keep human-readable input human-friendly where possible. Strings that already conform to the naming conventions should be left unchanged or minimally modified.

## Member Function Documentation

## ◆ escapeString()

string escapeString | ( | [in] string | aString | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

encodes an arbitrary string into an escaped form compatible with some naming rules.

## ◆ unescapeString()

string unescapeString | ( | [in] string | aEscapedString | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

decodes an escaped string into the original form.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XStringEscape.idl